"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mixin = void 0;
const common_1 = require("@nestjs/common");
const uuid_1 = require("uuid");
function mixin(mixinClass, name = '') {
    Object.defineProperty(mixinClass, 'name', { value: `${name}-${(0, uuid_1.v4)()}` });
    (0, common_1.Injectable)()(mixinClass);
    return mixinClass;
}
exports.mixin = mixin;
//# sourceMappingURL=mixin.js.map