"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.queryNeedAttributeMixin = void 0;
const tslib_1 = require("tslib");
const mixin_1 = require("../../../helpers/mixin");
const common_1 = require("@nestjs/common");
function queryNeedAttributeMixin(entity) {
    let QueryNeedAttribute = class QueryNeedAttribute {
        transform(value) {
            const result = Object.prototype.hasOwnProperty.call(value, 'need-attribute') ? !!value['need-attribute'] : false;
            return {
                needAttribute: result
            };
        }
    };
    QueryNeedAttribute = (0, tslib_1.__decorate)([
        (0, common_1.Injectable)()
    ], QueryNeedAttribute);
    return (0, mixin_1.mixin)(QueryNeedAttribute);
}
exports.queryNeedAttributeMixin = queryNeedAttributeMixin;
//# sourceMappingURL=query-need-attribute.js.map